/*----- main elements -----*/
body{
    background-color:#ECF0F5;
    font-family:'Source Sans Pro','Helvetica Neue',Helvetica,Arial,sans-serif
}
header{
    -webkit-box-shadow:0 2px 1px rgba(0, 0, 0, 0.4);
    -khtml-box-shadow:0 2px 1px rgba(0, 0, 0, 0.4);
    -moz-box-shadow:0 2px 1px rgba(0, 0, 0, 0.4);
    -ms-box-shadow:0 2px 1px rgba(0, 0, 0, 0.4);
    -o-box-shadow:0 2px 1px rgba(0, 0, 0, 0.4);
    box-shadow:0 2px 1px rgba(0, 0, 0, 0.4);
    position:relative;
    max-height:100px;
    z-index:1030
}
header .navbar-brand{
    width:230px;
}
header .navbar-brand img{
    float:left;
    height:100%;
}


/*----- navbar -----*/
.wrapper{
    margin-top:50px
}
.main-sidebar{
    background:#48334f;
    position:fixed;
    top:0;
    left:0;
    padding-top:50px;
    height:100%;
    min-width:230px;
    z-index:810;
    -webkit-transition:-webkit-transform 0.3s cubic-bezier(0.32, 1.25, 0.375, 1.15);
    -moz-transition:-moz-transform 0.3s cubic-bezier(0.32, 1.25, 0.375, 1.15);
    -o-transition:-o-transform 0.3s cubic-bezier(0.32, 1.25, 0.375, 1.15);
    transition:-webkit-transform 0.3s cubic-bezier(0.32, 1.25, 0.375, 1.15);
    transition:transform 0.3s cubic-bezier(0.32, 1.25, 0.375, 1.15);
    transition:transform 0.3s cubic-bezier(0.32, 1.25, 0.375, 1.15), -webkit-transform 0.3s cubic-bezier(0.32, 1.25, 0.375, 1.15)
}
.main-sidebar li>a{
    border-left:3px solid transparent;
    border-bottom:1px solid #563d5e;
    color:#fff
}
.main-sidebar li>a:hover{
    color:#fff;
    background-color:#2c1f30;
    border-left-color:#805b8d;
    border-bottom-width:2px
}
.navbar-collapse.collapse {
    height: 100% !important;
}

.nav-pills>li.active>a,.nav-pills>li.active>a:focus,.nav-pills>li.active>a:hover{
    color:#fff;
    background-color:#2c1f30;
    border-left-color:#805b8d;
    border-bottom-width:2px
}
.btn-logout,.open>.dropdown-toggle.btn-logout{
    padding: 14px 12px !important;
    border-color: transparent !important;
}
.btn-logout:active,.btn-logout:focus,.btn-logout:hover,.open>.dropdown-toggle.btn-logout:active,.open>.dropdown-toggle.btn-logout:focus,.open>.dropdown-toggle.btn-logout:hover{
    border-color:transparent!important;
    color:#adadad;
    background-color:transparent
}
.accordion>.nav>li a{
    padding-left:30px
}

.btn{
    -webkit-box-shadow:none;    
    box-shadow:none;
    line-height: 1.5;
    border: 1px solid transparent;
}
.btn.btn-flat{
    border-radius:0;
    -webkit-box-shadow:none;
    -moz-box-shadow:none;
    box-shadow:none;
    border-width:1px
}
.top-btn{
    margin-bottom:20px
}
.box{
    background:#fff;
    margin-bottom:20px;
    width:100%;
    box-shadow:0 1px 1px rgba(0, 0, 0, 0.1)
}
.col-md-10 .box:first-child{
    padding-top:25px
}

.col-md-7 .box-inner{
    padding-top:25px
}

/*----- box elements -----*/
.box-header{
    color:#444;
    display:block;
    padding-top:0;
    padding-bottom:0;
    padding:10px;
    position:relative;
    background-color:#fff;
    border:0px;
    border-bottom:1px solid #f4f4f4;
    border-radius:0px
}
.box-header h2{
    font-size:22px;
    font-weight:400;
    color:#48334f
}
.box-body{
    border-top-left-radius:0;
    border-top-right-radius:0;
    border-bottom-right-radius:3px;
    border-bottom-left-radius:3px;
    padding:10px
}

.login .box-content{
    background-color:#fff
}
.search-filter .filter{
    width:auto!important;
    float:none!important
}
.main-alert,.test-alert{
    padding:6px 12px;
    margin-left:0px;
    line-height:1.42857143;
    font-weight:400
}
.list .main-alert,.list .test-alert{
    margin-left:10px;
}

/*----- sortable elements -----*/
#sortable:hover{
    cursor:move;
    cursor:-webkit-grab;
    cursor:grab
}
#sortable.grabbing{
    cursor:grabbing;
    cursor:-webkit-grabbing
}


/*----- tables -----*/
.table-responsive th:not([data-responsive]), .table-responsive td:not([data-responsive]) {
    display: none;
}

/*----- notifications -----*/
.admin-notification .well {
    display: block;
    position: relative;
}

.admin-notification .well ul {
    padding: 0;
    margin: 0 !important;
}

.admin-notification span.notification {
    background-color: yellow;
    border-radius: 100%;
    height: 20px;
    line-height: 10px;
    padding: 5px;
    position: absolute;
    right: -10px;
    text-align: center;
    top: -10px;
    width: 20px;
}

.admin-notification ul {
    list-style: none;
}

#content {
    padding: 0;
    transition: all 0.3s;
    margin-left: 0;
}


#content form a i.glyphicon {
    padding-top: 0.5em;
}

#content form ul {
    list-style: none;
    padding: 0;
}

#content ul.inline {
    max-width: 90%;
    max-height: 400px;
    overflow: auto;
}

#content ul.inline li {
    display: inline-block;
    width: 33%;
}

#content ul.inline li input {
    margin: 0 10px;
}

#content ul.inline li input:checked + span {
    font-weight: 700;
}

.admin-plugin .table-responsive th, .admin-plugin .table-responsive td {
    display: table-cell !important;
}

i.glyphicon.help {
    cursor: help;
}

.col-sm-3.col-form-label {
    padding-top: 1rem;
}

.col-sm-3.col-form-label.no-padding-top {
    padding-top: 0;
}

.modal-footer .alert {
    text-align: left;
}

.form-group-upload .alert img {
    max-width: 150px;
    margin-right: 2px;
}

.btn.add-a-column-btn {
    margin: 35px 0;
}


#gallery-carousel .delete {
    cursor: default;
    height: 20px;
    position: absolute;
    right: 0;
    line-height: 20px;
    width: 20px;
    color: #f00;
    z-index: 100;
    text-shadow: 0 1px 2px rgba(0, 0, 0, 0.5);
}

.nav > li > a:hover, .nav > li > a:focus {
    background-color: inherit;
}

.error.validate_error {
    color: #ff0000;
    font-weight: bold;
}


/*----- file-input -----*/
.file-input .btn {
    border-color: #ccc;
    padding: 5px 10px;
}

.file-input .form-control {
    max-width: 100% !important;
}

.file-preview .fileinput-remove {
    display: none;
}

.kv-file-upload ~ .kv-file-edit {
    display: none; 
}

.file-preview-image {
    object-fit: cover;
}

.file-input .fileinput-upload-button, .file-input .fileinput-remove-button {
    display: none;
}

/*----- rename fields part -----*/
input[name$="_rename"] {
    display: none;
}

.form-group i.glyphicon {
    color: #f00;
}

.guestbook.list i.glyphicon {
    color: #337ab7;
}

/*----- content generic elements -----*/

.content{
    min-height:250px;
    padding:15px;
    margin-right:auto;
    margin-left:auto
}
.content-header{
    position:relative;
    padding:15px 15px 0 15px
}
.content-header h2{
    font-weight:300;
    font-size:35px;
    color:#48334f;
    padding-bottom:5px;
    border-bottom:1px solid #e2e2e2
}

/* .admin-plugin */
#content .admin-plugin .box-header {
    padding: 1px 10px;
}

#content .admin-plugin .box-header h2 {
    margin-top: 10px;
}

#content .bootstrap-switch {
    max-height: 35px;
}


#content .add-input-row {
    border: 2px solid #5cb85c;
    border-radius: 100%;
    color: #5cb85c;
    font-weight: bold;
    transition: all 0.4s ease-in;
}

#content .add-input-row:hover {
    background-color: #5cb85c;
    color: #fff;
    transition: all 0.4s ease-in;
}

#content .remove-input-row {
    border: 2px solid #ff0000;
    border-radius: 100%;
    color: #ff0000;
    font-weight: bold;
    transition: all 0.4s ease-in;
}

#content .remove-input-row:hover {
    background-color: #ff0000;
    color: #fff;
    transition: all 0.4s ease-in;
}

#content:not(.referencement) .form-group .form-control, #content .form-group .bootstrap-select > .dropdown-toggle {
    max-width: 300px;
}

#content .form-group .note-editor, #content .form-group .alert {
    max-width: 800px;
}

#content.edit .alert.main-alert, #content.edit .alert.test-alert {
    margin-left: 15px;
}

.main-sidebar .main-menu li i.glyphicon {
    margin-right: 10px;
}


#content label, #content .form-group .no-input {
    line-height: 30px;
}

.form-group label a[data-toggle="collapse"] {
    color: inherit;
}

#content .form-group .vertical-align > * {
    display: inline-block;
}

select.nodropdown {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    pointer-events: none;
}

#content .bootstrap-select {
    width: 100% !important;
    max-width: 100% !important;
}

/*----- summernote -----*/
.summernote_placeholder {
    background-color: #fff;
    color: #000;
    display: none;
    height: 100%;
    justify-content: center;
    opacity: 0.8;
    position: absolute;
    text-align: center;
    width: 80%;
    z-index: 1;
}

.summernote_placeholder > p {
    align-self: center;
    font-size: 2em;
    font-weight: bold;
}

/*----- sortable elements -----*/
.ui-sortable-handle:hover {
    cursor: grab;
}

.ui-sortable-handle.grabbing {
    cursor: grabbing;
}


/*----- bootstrap-select -----*/
button.btn.dropdown-toggle {
    background-color: #fff;
    border: 1px solid #ccc;
}

.bootstrap-select .dropdown-menu {
    min-width: 200px !important;
    width: 500px;
}


/*----- search forms -----*/
.search-filter .filter {
    float: left;
    margin-bottom: 25px;
    margin-right: 1%;
    width: 20%;
}

/*----- overlay -----*/

#preloader {
    display: none;
    background-color: #222;
    opacity: 0.6;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 2000;
}
#loader {
    display: block;
    position: relative;
    left: 50%;
    top: 50%;
    width: 150px;
    height: 150px;
    margin: -75px 0 0 -75px;
    border-radius: 50%;
    border: 3px solid transparent;
    border-top-color: #b565cd;
    -webkit-animation: spin 2s linear infinite;
    animation: spin 2s linear infinite;
}
#loader:before {
    content: "";
    position: absolute;
    top: 5px;
    left: 5px;
    right: 5px;
    bottom: 5px;
    border-radius: 50%;
    border: 3px solid transparent;
    border-top-color: #712b86;
    -webkit-animation: spin 3s linear infinite;
    animation: spin 3s linear infinite;
}
#loader:after {
    content: "";
    position: absolute;
    top: 15px;
    left: 15px;
    right: 15px;
    bottom: 15px;
    border-radius: 50%;
    border: 3px solid transparent;
    border-top-color: #200c27;
    -webkit-animation: spin 1.5s linear infinite;
    animation: spin 1.5s linear infinite;
}
@-webkit-keyframes spin {
    0%   {
        -webkit-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}
@keyframes spin {
    0%   {
        -webkit-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

#loader_t {
    display: block;
    position: relative;
    left: 50%;
    top: 50%;
    margin: 30px 0 0 -75px;
    color: #fff;
    font-size: 1.2em;
    font-weight: 600;
}

/*----- lightcase -----*/
#lightcase-case {
    padding: 5px;
    background: #eee;
}

#lightcase-case .box-inner {
    padding: 5px 0;
}


/*----- bridge -----*/
.bridge i {
    font-weight: lighter;
}

/*----- contact -----*/
#content.contact.list .action-buttons-row, #content.guestbook.list .action-buttons-row {
    display: none;
}

/*----- galleries -----*/

.galleries-list .notification {
    display: unset;
    position: relative;
    right: -5px;
    top: 0;
}

.galleries-image-details img {
    max-width: 100%;
    height: auto;
}


/*----- global informations -----*/
.global-informations span {
    overflow: hidden;
}

#globalInfosModal .tab-content .tab-pane, .global-informations .tab-content .tab-pane {
    background-color: #ECF0F5;
    border: 1px solid #ddd;
    padding: 20px;
    border-top: none;
    margin-bottom: 10px;
}

#globalInfosModal .nav.nav-tabs .active a, .global-informations .nav.nav-tabs .active a {
    background-color: #ECF0F5;
    color: #333;
}

#globalInfosModal .nav.nav-tabs a, .global-informations .nav.nav-tabs a {
    color: #999;
}

.global-informations input, .google-parameters input {
    background-color: transparent !important;
    border: none;    
}

.global-informations input[readonly], .google-parameters input[readonly] {
    color: #aaa;
}

.global-informations .readable-gi, .google-parameters .readable-pg {
    display: none;
}

.global-informations label, .google-parameters label {
    padding-top: 0rem;
}

#input_gi_site_name {
    font-size: 3rem;
    font-weight: bold;
    height: 4rem;
}

#input_gi_site_subtitle, #input_gi_company_name {
    font-size: 2rem;
    font-weight: bold;
    height: 3rem;
}



/*----- guestbook -----*/
/*----- ratings -----*/
.guestbook fieldset, .guestbook label { margin: 0; padding: 0; }
.guestbook h1 { font-size: 1.5em; margin: 10px; }

/****** Style Star Rating Widget *****/
.guestbook .rating { 
    border: none;
    float: left;
}

.guestbook .rating > input { display: none; } 
.guestbook .rating > label:before { 
    margin: 5px;
    font-size: 1.25em;
    font-family: "Font Awesome 5 Free";
    display: inline-block;
    content: "\f005";
}

.guestbook .rating > .half:before { 
    content: "\f089";
    position: absolute;
}

.guestbook .rating > label { 
    color: #ddd; 
    float: right; 
}

/***** CSS Magic to Highlight Stars on Hover *****/

.rating > input:checked ~ label { color: #FFD700;  } /* show gold star when clicked */
/*.rating:not(:checked) > label:hover,*/ /* hover current star */
/*.rating:not(:checked) > label:hover ~ label { color: #FFD700;  }*/ /* hover previous stars in list */

/*.rating > input:checked + label:hover,*/ /* hover current star when changing rating */
/*.rating > input:checked ~ label:hover,*/
/*.rating > label:hover ~ input:checked ~ label,*/ /* lighten current selection */
/*.rating > input:checked ~ label:hover ~ label { color: #FFED85;  } */


/*----- index -----*/
#index .admin-notification ul {
    display: inline-block;
    list-style-type: none;
    padding-left: 0;
}

#index .admin-notification.warning > * {
    color: #ff0000 !important;
}

/*----- modules -----*/
.modules_rights #site-options {
    min-height: 400px;
}

/*----- restaurant_reservations -----*/
.restaurant_reservations_opening_times.edit .box-content .btn {
    margin-bottom: 5px;
}

.restaurant_reservations_opening_times.edit .form-group {
    padding-bottom: 10px;
    border-bottom: 1px solid #ddd;
}

/*----- prestations_bookings -----*/
.prestations_bookings_opening_times.edit .box-content .btn {
    margin-bottom: 5px;
}

.prestations_bookings_opening_times.edit .form-group {
    padding-bottom: 10px;
    border-bottom: 1px solid #ddd;
}


.booking-resume .booking-details {
    margin-top: 20px;
}

.booking-resume .booking-details span {
    display: inline-block;
    width: 50%;    
}

.booking-resume .booking-details .infos {
    font-style: oblique;
    padding: 0 10px;
}



/* calendar */
/*******************************Calendar Top Navigation*********************************/
div#calendar{
  margin:0px auto;
  padding:0px;
  width: 602px;
  font-family:Helvetica, "Times New Roman", Times, serif;
}
 
div#calendar div.box{
    position:relative;
    top:0px;
    left:0px;
    width:100%;
    height:40px;
    background-color: #48334f;
}
 
div#calendar div.header{
    line-height:40px;  
    vertical-align:middle;
    position:absolute;
    left:11px;
    top:0px;
    width:582px;
    height:40px;   
    text-align:center;
}

div#calendar div.header .prev,div#calendar div.header .next{
    background-color: transparent;
    position:absolute;
    top:0px;   
    display:block;
    cursor:pointer;
    text-decoration:none;
    color:#FFF;
}
 
div#calendar div.header span.title{
    color:#FFF;
    font-size:18px;
}
 
 
div#calendar div.header .prev{
    left:0px;
}
 
div#calendar div.header .next{
    right:0px;
}
 
 
 
 
/*******************************Calendar Content Cells*********************************/
div#calendar div.box-content{
    border:1px solid #48334f;
    border-top:none;
}
 
 
 
div#calendar ul.label{
    float:left;
    margin: 0px;
    padding: 0px;
    margin-top:5px;
    margin-left: 5px;
}
 
div#calendar ul.label li{
    margin:0px;
    padding:0px;
    margin-right:5px;  
    float:left;
    list-style-type:none;
    width:80px;
    height:40px;
    line-height:40px;
    vertical-align:middle;
    text-align:center;
    color:#000;
    font-size: 15px;
    background-color: transparent;
}
 
 
div#calendar ul.dates{
    float:left;
    margin: 0px;
    padding: 0px;
    margin-left: 5px;
    margin-bottom: 5px;
}
 
/** overall width = width+padding-right**/
div#calendar li.today {
    border: 2px solid red;
}

div#calendar li.active {
    background-color: #48334f !important;
    color: #fff !important;
}


div#calendar ul.dates li{
    margin:0px;
    padding:0px;
    margin-right:5px;
    margin-top: 5px;
    /*line-height:80px;*/
    vertical-align:middle;
    float:left;
    list-style-type:none;
    width:80px;
    height:80px;
    /*font-size:25px;*/
    background-color: #DDD;
    color:#000;
    text-align:center; 
}

div#calendar ul.dates li span{
    font-size:0.8em;
}

div#calendar li.mask {
    background-color: transparent !important;
}

div#calendar li.unavailable {
    opacity: 0.5;
    pointer-events: none;
}
 
:focus {
    outline:none;
}
 
div.clear {
    clear:both;
}      

div.calendar-details {
    padding: 0 15px;
}

div#calendar li.calendar-details-link {
    cursor: pointer;
    line-height: 1.2 !important;
}


/*----- users -----*/
.users_messages_sent {
    background-color: #d0d6e2;
    border-radius: 20px;
    color: #000;
    margin-bottom: 5px;
}

.users_messages_reply {
    background-color: #45526e;
    border-radius: 20px;
    color: #fff;
    margin-bottom: 5px;
}

/*----- videos -----*/
.videos.edit .box-inner {
    padding: 10px 0;
}

/*----- media queries -----*/
@media (min-width: 768px) {
    #content {
	margin-left: 230px;
    }
}

@media (min-width: 992px) {
    .table-responsive th:not([data-responsive]), .table-responsive td:not([data-responsive]) {
	display: table-cell;
    }

    .btn {
	padding: 6px 12px;
	font-size: 14px;
	line-height: 1.5;
    }
}

@media (min-width: 1200px) {
    #content {
	padding: 20px;
    }
}
